# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: DeviceServicer.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='DeviceServicer.proto',
  package='sila2.org.silastandard.examples.deviceservicer.v1',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x14\x44\x65viceServicer.proto\x12\x31sila2.org.silastandard.examples.deviceservicer.v1\x1a\x13SiLAFramework.proto\"\x13\n\x11GetLog_Parameters\"\xc7\x01\n\x10GetLog_Responses\x12\x38\n\x0f\x43urrentLogLevel\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12>\n\x13\x43urrentLogTimestamp\x18\x02 \x01(\x0b\x32!.sila2.org.silastandard.Timestamp\x12\x39\n\x11\x43urrentLogMessage\x18\x03 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"P\n\x19SetKeyLockMode_Parameters\x12\x33\n\x0bKeyLockMode\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"R\n\x18SetKeyLockMode_Responses\x12\x36\n\x0eKeyLockModeSet\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1b\n\x19GetKeyLockMode_Parameters\"V\n\x18GetKeyLockMode_Responses\x12:\n\x12\x43urrentKeyLockMode\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"K\n\x1aStartThermostat_Parameters\x12-\n\x05Start\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"P\n\x19StartThermostat_Responses\x12\x33\n\x0bStartStatus\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"I\n\x19StopThermostat_Parameters\x12,\n\x04Stop\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"N\n\x18StopThermostat_Responses\x12\x32\n\nStopStatus\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"R\n\x1aGetDeviceStatus_Parameters\x12\x34\n\x0c\x44\x65viceStatus\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"X\n\x19GetDeviceStatus_Responses\x12;\n\x13\x43urrentDeviceStatus\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"d\n#GetDeviceStatusDiagnosis_Parameters\x12=\n\x15\x44\x65viceStatusDiagnosis\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"j\n\"GetDeviceStatusDiagnosis_Responses\x12\x44\n\x1c\x43urrentDeviceStatusDiagnosis\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1b\n\x19GetPowerStatus_Parameters\"V\n\x18GetPowerStatus_Responses\x12:\n\x12\x43urrentPowerStatus\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"$\n\"Subscribe_CurrentStatus_Parameters\"Z\n!Subscribe_CurrentStatus_Responses\x12\x35\n\rCurrentStatus\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\'\n%Get_CurrentSoftwareVersion_Parameters\"f\n$Get_CurrentSoftwareVersion_Responses\x12>\n\x16\x43urrentSoftwareVersion\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String2\x93\x10\n\x0e\x44\x65viceServicer\x12}\n\x06GetLog\x12\x44.sila2.org.silastandard.examples.deviceservicer.v1.GetLog_Parameters\x1a+.sila2.org.silastandard.CommandConfirmation\"\x00\x12\x66\n\x0bGetLog_Info\x12,.sila2.org.silastandard.CommandExecutionUUID\x1a%.sila2.org.silastandard.ExecutionInfo\"\x00\x30\x01\x12\x84\x01\n\rGetLog_Result\x12,.sila2.org.silastandard.CommandExecutionUUID\x1a\x43.sila2.org.silastandard.examples.deviceservicer.v1.GetLog_Responses\"\x00\x12\xad\x01\n\x0eSetKeyLockMode\x12L.sila2.org.silastandard.examples.deviceservicer.v1.SetKeyLockMode_Parameters\x1aK.sila2.org.silastandard.examples.deviceservicer.v1.SetKeyLockMode_Responses\"\x00\x12\xad\x01\n\x0eGetKeyLockMode\x12L.sila2.org.silastandard.examples.deviceservicer.v1.GetKeyLockMode_Parameters\x1aK.sila2.org.silastandard.examples.deviceservicer.v1.GetKeyLockMode_Responses\"\x00\x12\xb0\x01\n\x0fStartThermostat\x12M.sila2.org.silastandard.examples.deviceservicer.v1.StartThermostat_Parameters\x1aL.sila2.org.silastandard.examples.deviceservicer.v1.StartThermostat_Responses\"\x00\x12\xad\x01\n\x0eStopThermostat\x12L.sila2.org.silastandard.examples.deviceservicer.v1.StopThermostat_Parameters\x1aK.sila2.org.silastandard.examples.deviceservicer.v1.StopThermostat_Responses\"\x00\x12\xb0\x01\n\x0fGetDeviceStatus\x12M.sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatus_Parameters\x1aL.sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatus_Responses\"\x00\x12\xcb\x01\n\x18GetDeviceStatusDiagnosis\x12V.sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatusDiagnosis_Parameters\x1aU.sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatusDiagnosis_Responses\"\x00\x12\xad\x01\n\x0eGetPowerStatus\x12L.sila2.org.silastandard.examples.deviceservicer.v1.GetPowerStatus_Parameters\x1aK.sila2.org.silastandard.examples.deviceservicer.v1.GetPowerStatus_Responses\"\x00\x12\xca\x01\n\x17Subscribe_CurrentStatus\x12U.sila2.org.silastandard.examples.deviceservicer.v1.Subscribe_CurrentStatus_Parameters\x1aT.sila2.org.silastandard.examples.deviceservicer.v1.Subscribe_CurrentStatus_Responses\"\x00\x30\x01\x12\xd1\x01\n\x1aGet_CurrentSoftwareVersion\x12X.sila2.org.silastandard.examples.deviceservicer.v1.Get_CurrentSoftwareVersion_Parameters\x1aW.sila2.org.silastandard.examples.deviceservicer.v1.Get_CurrentSoftwareVersion_Responses\"\x00\x62\x06proto3')
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_GETLOG_PARAMETERS = _descriptor.Descriptor(
  name='GetLog_Parameters',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetLog_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=96,
  serialized_end=115,
)


_GETLOG_RESPONSES = _descriptor.Descriptor(
  name='GetLog_Responses',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetLog_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentLogLevel', full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetLog_Responses.CurrentLogLevel', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='CurrentLogTimestamp', full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetLog_Responses.CurrentLogTimestamp', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='CurrentLogMessage', full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetLog_Responses.CurrentLogMessage', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=118,
  serialized_end=317,
)


_SETKEYLOCKMODE_PARAMETERS = _descriptor.Descriptor(
  name='SetKeyLockMode_Parameters',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.SetKeyLockMode_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='KeyLockMode', full_name='sila2.org.silastandard.examples.deviceservicer.v1.SetKeyLockMode_Parameters.KeyLockMode', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=319,
  serialized_end=399,
)


_SETKEYLOCKMODE_RESPONSES = _descriptor.Descriptor(
  name='SetKeyLockMode_Responses',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.SetKeyLockMode_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='KeyLockModeSet', full_name='sila2.org.silastandard.examples.deviceservicer.v1.SetKeyLockMode_Responses.KeyLockModeSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=401,
  serialized_end=483,
)


_GETKEYLOCKMODE_PARAMETERS = _descriptor.Descriptor(
  name='GetKeyLockMode_Parameters',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetKeyLockMode_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=485,
  serialized_end=512,
)


_GETKEYLOCKMODE_RESPONSES = _descriptor.Descriptor(
  name='GetKeyLockMode_Responses',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetKeyLockMode_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentKeyLockMode', full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetKeyLockMode_Responses.CurrentKeyLockMode', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=514,
  serialized_end=600,
)


_STARTTHERMOSTAT_PARAMETERS = _descriptor.Descriptor(
  name='StartThermostat_Parameters',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.StartThermostat_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='Start', full_name='sila2.org.silastandard.examples.deviceservicer.v1.StartThermostat_Parameters.Start', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=602,
  serialized_end=677,
)


_STARTTHERMOSTAT_RESPONSES = _descriptor.Descriptor(
  name='StartThermostat_Responses',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.StartThermostat_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='StartStatus', full_name='sila2.org.silastandard.examples.deviceservicer.v1.StartThermostat_Responses.StartStatus', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=679,
  serialized_end=759,
)


_STOPTHERMOSTAT_PARAMETERS = _descriptor.Descriptor(
  name='StopThermostat_Parameters',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.StopThermostat_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='Stop', full_name='sila2.org.silastandard.examples.deviceservicer.v1.StopThermostat_Parameters.Stop', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=761,
  serialized_end=834,
)


_STOPTHERMOSTAT_RESPONSES = _descriptor.Descriptor(
  name='StopThermostat_Responses',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.StopThermostat_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='StopStatus', full_name='sila2.org.silastandard.examples.deviceservicer.v1.StopThermostat_Responses.StopStatus', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=836,
  serialized_end=914,
)


_GETDEVICESTATUS_PARAMETERS = _descriptor.Descriptor(
  name='GetDeviceStatus_Parameters',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatus_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='DeviceStatus', full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatus_Parameters.DeviceStatus', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=916,
  serialized_end=998,
)


_GETDEVICESTATUS_RESPONSES = _descriptor.Descriptor(
  name='GetDeviceStatus_Responses',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatus_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentDeviceStatus', full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatus_Responses.CurrentDeviceStatus', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1000,
  serialized_end=1088,
)


_GETDEVICESTATUSDIAGNOSIS_PARAMETERS = _descriptor.Descriptor(
  name='GetDeviceStatusDiagnosis_Parameters',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatusDiagnosis_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='DeviceStatusDiagnosis', full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatusDiagnosis_Parameters.DeviceStatusDiagnosis', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1090,
  serialized_end=1190,
)


_GETDEVICESTATUSDIAGNOSIS_RESPONSES = _descriptor.Descriptor(
  name='GetDeviceStatusDiagnosis_Responses',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatusDiagnosis_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentDeviceStatusDiagnosis', full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatusDiagnosis_Responses.CurrentDeviceStatusDiagnosis', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1192,
  serialized_end=1298,
)


_GETPOWERSTATUS_PARAMETERS = _descriptor.Descriptor(
  name='GetPowerStatus_Parameters',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetPowerStatus_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1300,
  serialized_end=1327,
)


_GETPOWERSTATUS_RESPONSES = _descriptor.Descriptor(
  name='GetPowerStatus_Responses',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetPowerStatus_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPowerStatus', full_name='sila2.org.silastandard.examples.deviceservicer.v1.GetPowerStatus_Responses.CurrentPowerStatus', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1329,
  serialized_end=1415,
)


_SUBSCRIBE_CURRENTSTATUS_PARAMETERS = _descriptor.Descriptor(
  name='Subscribe_CurrentStatus_Parameters',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.Subscribe_CurrentStatus_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1417,
  serialized_end=1453,
)


_SUBSCRIBE_CURRENTSTATUS_RESPONSES = _descriptor.Descriptor(
  name='Subscribe_CurrentStatus_Responses',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.Subscribe_CurrentStatus_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentStatus', full_name='sila2.org.silastandard.examples.deviceservicer.v1.Subscribe_CurrentStatus_Responses.CurrentStatus', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1455,
  serialized_end=1545,
)


_GET_CURRENTSOFTWAREVERSION_PARAMETERS = _descriptor.Descriptor(
  name='Get_CurrentSoftwareVersion_Parameters',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.Get_CurrentSoftwareVersion_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1547,
  serialized_end=1586,
)


_GET_CURRENTSOFTWAREVERSION_RESPONSES = _descriptor.Descriptor(
  name='Get_CurrentSoftwareVersion_Responses',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.Get_CurrentSoftwareVersion_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSoftwareVersion', full_name='sila2.org.silastandard.examples.deviceservicer.v1.Get_CurrentSoftwareVersion_Responses.CurrentSoftwareVersion', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1588,
  serialized_end=1690,
)

_GETLOG_RESPONSES.fields_by_name['CurrentLogLevel'].message_type = SiLAFramework__pb2._INTEGER
_GETLOG_RESPONSES.fields_by_name['CurrentLogTimestamp'].message_type = SiLAFramework__pb2._TIMESTAMP
_GETLOG_RESPONSES.fields_by_name['CurrentLogMessage'].message_type = SiLAFramework__pb2._STRING
_SETKEYLOCKMODE_PARAMETERS.fields_by_name['KeyLockMode'].message_type = SiLAFramework__pb2._STRING
_SETKEYLOCKMODE_RESPONSES.fields_by_name['KeyLockModeSet'].message_type = SiLAFramework__pb2._STRING
_GETKEYLOCKMODE_RESPONSES.fields_by_name['CurrentKeyLockMode'].message_type = SiLAFramework__pb2._STRING
_STARTTHERMOSTAT_PARAMETERS.fields_by_name['Start'].message_type = SiLAFramework__pb2._STRING
_STARTTHERMOSTAT_RESPONSES.fields_by_name['StartStatus'].message_type = SiLAFramework__pb2._STRING
_STOPTHERMOSTAT_PARAMETERS.fields_by_name['Stop'].message_type = SiLAFramework__pb2._STRING
_STOPTHERMOSTAT_RESPONSES.fields_by_name['StopStatus'].message_type = SiLAFramework__pb2._STRING
_GETDEVICESTATUS_PARAMETERS.fields_by_name['DeviceStatus'].message_type = SiLAFramework__pb2._STRING
_GETDEVICESTATUS_RESPONSES.fields_by_name['CurrentDeviceStatus'].message_type = SiLAFramework__pb2._STRING
_GETDEVICESTATUSDIAGNOSIS_PARAMETERS.fields_by_name['DeviceStatusDiagnosis'].message_type = SiLAFramework__pb2._STRING
_GETDEVICESTATUSDIAGNOSIS_RESPONSES.fields_by_name['CurrentDeviceStatusDiagnosis'].message_type = SiLAFramework__pb2._STRING
_GETPOWERSTATUS_RESPONSES.fields_by_name['CurrentPowerStatus'].message_type = SiLAFramework__pb2._STRING
_SUBSCRIBE_CURRENTSTATUS_RESPONSES.fields_by_name['CurrentStatus'].message_type = SiLAFramework__pb2._STRING
_GET_CURRENTSOFTWAREVERSION_RESPONSES.fields_by_name['CurrentSoftwareVersion'].message_type = SiLAFramework__pb2._STRING
DESCRIPTOR.message_types_by_name['GetLog_Parameters'] = _GETLOG_PARAMETERS
DESCRIPTOR.message_types_by_name['GetLog_Responses'] = _GETLOG_RESPONSES
DESCRIPTOR.message_types_by_name['SetKeyLockMode_Parameters'] = _SETKEYLOCKMODE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetKeyLockMode_Responses'] = _SETKEYLOCKMODE_RESPONSES
DESCRIPTOR.message_types_by_name['GetKeyLockMode_Parameters'] = _GETKEYLOCKMODE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetKeyLockMode_Responses'] = _GETKEYLOCKMODE_RESPONSES
DESCRIPTOR.message_types_by_name['StartThermostat_Parameters'] = _STARTTHERMOSTAT_PARAMETERS
DESCRIPTOR.message_types_by_name['StartThermostat_Responses'] = _STARTTHERMOSTAT_RESPONSES
DESCRIPTOR.message_types_by_name['StopThermostat_Parameters'] = _STOPTHERMOSTAT_PARAMETERS
DESCRIPTOR.message_types_by_name['StopThermostat_Responses'] = _STOPTHERMOSTAT_RESPONSES
DESCRIPTOR.message_types_by_name['GetDeviceStatus_Parameters'] = _GETDEVICESTATUS_PARAMETERS
DESCRIPTOR.message_types_by_name['GetDeviceStatus_Responses'] = _GETDEVICESTATUS_RESPONSES
DESCRIPTOR.message_types_by_name['GetDeviceStatusDiagnosis_Parameters'] = _GETDEVICESTATUSDIAGNOSIS_PARAMETERS
DESCRIPTOR.message_types_by_name['GetDeviceStatusDiagnosis_Responses'] = _GETDEVICESTATUSDIAGNOSIS_RESPONSES
DESCRIPTOR.message_types_by_name['GetPowerStatus_Parameters'] = _GETPOWERSTATUS_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPowerStatus_Responses'] = _GETPOWERSTATUS_RESPONSES
DESCRIPTOR.message_types_by_name['Subscribe_CurrentStatus_Parameters'] = _SUBSCRIBE_CURRENTSTATUS_PARAMETERS
DESCRIPTOR.message_types_by_name['Subscribe_CurrentStatus_Responses'] = _SUBSCRIBE_CURRENTSTATUS_RESPONSES
DESCRIPTOR.message_types_by_name['Get_CurrentSoftwareVersion_Parameters'] = _GET_CURRENTSOFTWAREVERSION_PARAMETERS
DESCRIPTOR.message_types_by_name['Get_CurrentSoftwareVersion_Responses'] = _GET_CURRENTSOFTWAREVERSION_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GetLog_Parameters = _reflection.GeneratedProtocolMessageType('GetLog_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETLOG_PARAMETERS,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.GetLog_Parameters)
  })
_sym_db.RegisterMessage(GetLog_Parameters)

GetLog_Responses = _reflection.GeneratedProtocolMessageType('GetLog_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETLOG_RESPONSES,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.GetLog_Responses)
  })
_sym_db.RegisterMessage(GetLog_Responses)

SetKeyLockMode_Parameters = _reflection.GeneratedProtocolMessageType('SetKeyLockMode_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETKEYLOCKMODE_PARAMETERS,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.SetKeyLockMode_Parameters)
  })
_sym_db.RegisterMessage(SetKeyLockMode_Parameters)

SetKeyLockMode_Responses = _reflection.GeneratedProtocolMessageType('SetKeyLockMode_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETKEYLOCKMODE_RESPONSES,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.SetKeyLockMode_Responses)
  })
_sym_db.RegisterMessage(SetKeyLockMode_Responses)

GetKeyLockMode_Parameters = _reflection.GeneratedProtocolMessageType('GetKeyLockMode_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETKEYLOCKMODE_PARAMETERS,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.GetKeyLockMode_Parameters)
  })
_sym_db.RegisterMessage(GetKeyLockMode_Parameters)

GetKeyLockMode_Responses = _reflection.GeneratedProtocolMessageType('GetKeyLockMode_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETKEYLOCKMODE_RESPONSES,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.GetKeyLockMode_Responses)
  })
_sym_db.RegisterMessage(GetKeyLockMode_Responses)

StartThermostat_Parameters = _reflection.GeneratedProtocolMessageType('StartThermostat_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _STARTTHERMOSTAT_PARAMETERS,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.StartThermostat_Parameters)
  })
_sym_db.RegisterMessage(StartThermostat_Parameters)

StartThermostat_Responses = _reflection.GeneratedProtocolMessageType('StartThermostat_Responses', (_message.Message,), {
  'DESCRIPTOR' : _STARTTHERMOSTAT_RESPONSES,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.StartThermostat_Responses)
  })
_sym_db.RegisterMessage(StartThermostat_Responses)

StopThermostat_Parameters = _reflection.GeneratedProtocolMessageType('StopThermostat_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _STOPTHERMOSTAT_PARAMETERS,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.StopThermostat_Parameters)
  })
_sym_db.RegisterMessage(StopThermostat_Parameters)

StopThermostat_Responses = _reflection.GeneratedProtocolMessageType('StopThermostat_Responses', (_message.Message,), {
  'DESCRIPTOR' : _STOPTHERMOSTAT_RESPONSES,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.StopThermostat_Responses)
  })
_sym_db.RegisterMessage(StopThermostat_Responses)

GetDeviceStatus_Parameters = _reflection.GeneratedProtocolMessageType('GetDeviceStatus_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETDEVICESTATUS_PARAMETERS,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatus_Parameters)
  })
_sym_db.RegisterMessage(GetDeviceStatus_Parameters)

GetDeviceStatus_Responses = _reflection.GeneratedProtocolMessageType('GetDeviceStatus_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETDEVICESTATUS_RESPONSES,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatus_Responses)
  })
_sym_db.RegisterMessage(GetDeviceStatus_Responses)

GetDeviceStatusDiagnosis_Parameters = _reflection.GeneratedProtocolMessageType('GetDeviceStatusDiagnosis_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETDEVICESTATUSDIAGNOSIS_PARAMETERS,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatusDiagnosis_Parameters)
  })
_sym_db.RegisterMessage(GetDeviceStatusDiagnosis_Parameters)

GetDeviceStatusDiagnosis_Responses = _reflection.GeneratedProtocolMessageType('GetDeviceStatusDiagnosis_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETDEVICESTATUSDIAGNOSIS_RESPONSES,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.GetDeviceStatusDiagnosis_Responses)
  })
_sym_db.RegisterMessage(GetDeviceStatusDiagnosis_Responses)

GetPowerStatus_Parameters = _reflection.GeneratedProtocolMessageType('GetPowerStatus_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPOWERSTATUS_PARAMETERS,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.GetPowerStatus_Parameters)
  })
_sym_db.RegisterMessage(GetPowerStatus_Parameters)

GetPowerStatus_Responses = _reflection.GeneratedProtocolMessageType('GetPowerStatus_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPOWERSTATUS_RESPONSES,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.GetPowerStatus_Responses)
  })
_sym_db.RegisterMessage(GetPowerStatus_Responses)

Subscribe_CurrentStatus_Parameters = _reflection.GeneratedProtocolMessageType('Subscribe_CurrentStatus_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SUBSCRIBE_CURRENTSTATUS_PARAMETERS,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.Subscribe_CurrentStatus_Parameters)
  })
_sym_db.RegisterMessage(Subscribe_CurrentStatus_Parameters)

Subscribe_CurrentStatus_Responses = _reflection.GeneratedProtocolMessageType('Subscribe_CurrentStatus_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SUBSCRIBE_CURRENTSTATUS_RESPONSES,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.Subscribe_CurrentStatus_Responses)
  })
_sym_db.RegisterMessage(Subscribe_CurrentStatus_Responses)

Get_CurrentSoftwareVersion_Parameters = _reflection.GeneratedProtocolMessageType('Get_CurrentSoftwareVersion_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GET_CURRENTSOFTWAREVERSION_PARAMETERS,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.Get_CurrentSoftwareVersion_Parameters)
  })
_sym_db.RegisterMessage(Get_CurrentSoftwareVersion_Parameters)

Get_CurrentSoftwareVersion_Responses = _reflection.GeneratedProtocolMessageType('Get_CurrentSoftwareVersion_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GET_CURRENTSOFTWAREVERSION_RESPONSES,
  '__module__' : 'DeviceServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.deviceservicer.v1.Get_CurrentSoftwareVersion_Responses)
  })
_sym_db.RegisterMessage(Get_CurrentSoftwareVersion_Responses)



_DEVICESERVICER = _descriptor.ServiceDescriptor(
  name='DeviceServicer',
  full_name='sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  serialized_start=1693,
  serialized_end=3760,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetLog',
    full_name='sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer.GetLog',
    index=0,
    containing_service=None,
    input_type=_GETLOG_PARAMETERS,
    output_type=SiLAFramework__pb2._COMMANDCONFIRMATION,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetLog_Info',
    full_name='sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer.GetLog_Info',
    index=1,
    containing_service=None,
    input_type=SiLAFramework__pb2._COMMANDEXECUTIONUUID,
    output_type=SiLAFramework__pb2._EXECUTIONINFO,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetLog_Result',
    full_name='sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer.GetLog_Result',
    index=2,
    containing_service=None,
    input_type=SiLAFramework__pb2._COMMANDEXECUTIONUUID,
    output_type=_GETLOG_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetKeyLockMode',
    full_name='sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer.SetKeyLockMode',
    index=3,
    containing_service=None,
    input_type=_SETKEYLOCKMODE_PARAMETERS,
    output_type=_SETKEYLOCKMODE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetKeyLockMode',
    full_name='sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer.GetKeyLockMode',
    index=4,
    containing_service=None,
    input_type=_GETKEYLOCKMODE_PARAMETERS,
    output_type=_GETKEYLOCKMODE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='StartThermostat',
    full_name='sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer.StartThermostat',
    index=5,
    containing_service=None,
    input_type=_STARTTHERMOSTAT_PARAMETERS,
    output_type=_STARTTHERMOSTAT_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='StopThermostat',
    full_name='sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer.StopThermostat',
    index=6,
    containing_service=None,
    input_type=_STOPTHERMOSTAT_PARAMETERS,
    output_type=_STOPTHERMOSTAT_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetDeviceStatus',
    full_name='sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer.GetDeviceStatus',
    index=7,
    containing_service=None,
    input_type=_GETDEVICESTATUS_PARAMETERS,
    output_type=_GETDEVICESTATUS_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetDeviceStatusDiagnosis',
    full_name='sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer.GetDeviceStatusDiagnosis',
    index=8,
    containing_service=None,
    input_type=_GETDEVICESTATUSDIAGNOSIS_PARAMETERS,
    output_type=_GETDEVICESTATUSDIAGNOSIS_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetPowerStatus',
    full_name='sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer.GetPowerStatus',
    index=9,
    containing_service=None,
    input_type=_GETPOWERSTATUS_PARAMETERS,
    output_type=_GETPOWERSTATUS_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='Subscribe_CurrentStatus',
    full_name='sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer.Subscribe_CurrentStatus',
    index=10,
    containing_service=None,
    input_type=_SUBSCRIBE_CURRENTSTATUS_PARAMETERS,
    output_type=_SUBSCRIBE_CURRENTSTATUS_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='Get_CurrentSoftwareVersion',
    full_name='sila2.org.silastandard.examples.deviceservicer.v1.DeviceServicer.Get_CurrentSoftwareVersion',
    index=11,
    containing_service=None,
    input_type=_GET_CURRENTSOFTWAREVERSION_PARAMETERS,
    output_type=_GET_CURRENTSOFTWAREVERSION_RESPONSES,
    serialized_options=None,
  ),
])
_sym_db.RegisterServiceDescriptor(_DEVICESERVICER)

DESCRIPTOR.services_by_name['DeviceServicer'] = _DEVICESERVICER

# @@protoc_insertion_point(module_scope)
